# BoodskapMessage
Boodskap Message object to manipulate with JSON fields

# Example sketch

`````
#include "BoodskapMessage.h"

#define BOODSKAP_DOMAIN_KEY "your-domain-key" // You will get this once your register in the platform
#define BOODSKAP_ASSET_ID "your-asset-id" // a unique name
#define BOODSKAP_API_KEY "api-key" // it is not used at the moment
#define BOODSKAP_MESSAGE_ID 1000 //the message id you defined in the platform.
#define FIRMWARE_VERSION "1.0.0"

DynamicJsonBuffer buffer;
BoodskapMessage message(BOODSKAP_MESSAGE_ID, buffer, BOODSKAP_DOMAIN_KEY, BOODSKAP_ASSET_ID, BOODSKAP_API_KEY, FIRMWARE_VERSION, ARDUINO_MKR1000);

message.set("temperature" , 23.00);
message.set("humidity" , 43.01);
message.set("pressure" , 7.10);

message.get().printTo(Serial);
message.get().prettyPrintTo(Serial);
message.get().printTo(udp);

# supported device models, look into DeviceModel.h
typedef enum DeviceModel{

  ARDUINO_GENERIC = 0,
  ARDUINO_UNO,
  ARDUINO_MEGA,
  ARDUINO_MINI,
  ARDUINO_MKR1000,
  ESP8266,
  NODE_MCU_10
  
}DeviceModel;
